MVN

org.apache.nifi : nifi-api

Maven & Gradle

Aug 21, 2023
295 usages
<dependency>
    <groupId>org.apache.nifi</groupId>
    <artifactId>nifi-api</artifactId>
    <version>1.23.2</version>
</dependency>
Copy
pom.xml
Table Of Contents

Latest Version

Choose a version of org.apache.nifi : nifi-api to add to Maven or Gradle - Latest Versions:

  • Latest Stable: 1.23.2
  • Latest Beta: 1.0.0-BETA

All Versions

Choose a version of org.apache.nifi : nifi-api to add to Maven or Gradle - All Versions:

Version Vulnerabilities Updated
1.23.x
nifi-api-1.23.2
nifi-api-1.23.1
nifi-api-1.23.0
1.22.x
nifi-api-1.22.0
1.21.x
nifi-api-1.21.0
1.20.x
nifi-api-1.20.0
1.19.x
nifi-api-1.19.1
nifi-api-1.19.0
1.18.x
nifi-api-1.18.0
1.17.x
nifi-api-1.17.0
1.16.x
nifi-api-1.16.3
nifi-api-1.16.2
nifi-api-1.16.1
nifi-api-1.16.0
1.15.x
nifi-api-1.15.3
nifi-api-1.15.2
nifi-api-1.15.1
nifi-api-1.15.0
1.14.x
nifi-api-1.14.0
1.13.x
nifi-api-1.13.2
nifi-api-1.13.1
nifi-api-1.13.0
1.12.x
nifi-api-1.12.1
nifi-api-1.12.0
1.11.x
nifi-api-1.11.4
nifi-api-1.11.3
nifi-api-1.11.2
nifi-api-1.11.1
nifi-api-1.11.0
1.10.x
nifi-api-1.10.0
1.9.x
nifi-api-1.9.2
nifi-api-1.9.1
nifi-api-1.9.0
1.8.x
nifi-api-1.8.0
1.7.x
nifi-api-1.7.1
nifi-api-1.7.0
1.6.x
nifi-api-1.6.0
1.5.x
nifi-api-1.5.0
1.4.x
nifi-api-1.4.0
1.3.x
nifi-api-1.3.0
1.2.x
nifi-api-1.2.0
1.1.x
nifi-api-1.1.2
nifi-api-1.1.1
2 vulnerabilities
nifi-api-1.1.0
2 vulnerabilities
1.0.x
nifi-api-1.0.1
CVE-2017-5636
nifi-api-1.0.0
CVE-2017-5636
nifi-api-1.0.0-BETA
CVE-2017-5636
0.7.x
nifi-api-0.7.4
nifi-api-0.7.3
nifi-api-0.7.2
nifi-api-0.7.1
2 vulnerabilities
nifi-api-0.7.0
2 vulnerabilities
0.6.x
nifi-api-0.6.1
nifi-api-0.6.0
0.5.x
nifi-api-0.5.1
nifi-api-0.5.0
0.4.x
nifi-api-0.4.1
nifi-api-0.4.0
0.3.x
nifi-api-0.3.0
0.2.x
nifi-api-0.2.1
nifi-api-0.2.0-incubating
0.1.x
nifi-api-0.1.0-incubating
0.0.x
nifi-api-0.0.2-incubating
nifi-api-0.0.1-incubating

How to add a dependency to Maven

Add the following org.apache.nifi : nifi-api maven dependency to the pom.xml file with your favorite IDE (IntelliJ / Eclipse / Netbeans):

<dependency>
    <groupId>org.apache.nifi</groupId>
    <artifactId>nifi-api</artifactId>
    <version>1.23.2</version>
</dependency>

How to add a dependency to Gradle

Gradle Groovy DSL: Add the following org.apache.nifi : nifi-api gradle dependency to your build.gradle file:

implementation 'org.apache.nifi:nifi-api:1.23.2'

Gradle Kotlin DSL: Add the following org.apache.nifi : nifi-api gradle kotlin dependency to your build.gradle.kts file:

implementation("org.apache.nifi:nifi-api:1.23.2")

How to add a dependency to SBT Scala

SBT Scala: Add the following org.apache.nifi : nifi-api sbt scala dependency to your build.sbt file:

libraryDependencies += "org.apache.nifi" % "nifi-api" % "1.23.2"

Advertisement

Dependencies from Group

Aug 21, 2023
295 usages
Aug 21, 2023
201 usages
Aug 21, 2023
173 usages
Jan 13, 2022
113 usages

Discover Dependencies

Aug 08, 2023
32 usages
26 stars
Aug 07, 2023
378 usages
Oct 24, 2019
2 usages
Aug 18, 2023
38 usages
12k stars
Aug 20, 2021
2 usages
2 stars
May 11, 2023
5 usages
11 stars
Dec 20, 2021
8 usages
Jul 29, 2018
198 usages
2.5k stars
Jul 10, 2023
74 usages
289 stars
Aug 04, 2023
17 usages
711 stars